Subject: Re: [PATCH 1/2] doc: git-checkout: trivial callout cleanup

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Apr 2023 17:02:25 -0700

Felipe Contreras <[email-masked]> writes:

> No, it's for the formatting machinery.
>
> The fact that both asciidoc and asciidoctor happen to understand our quircky
> formatting in this particualr situation doesn't mean it isn't quirky.
>
> In this particular case the parsers do understand what we are trying to do,
> because we just just pepper list continuations (`+`) everywhere and it happens
> to work.

I'll stop at pointing out that the first "no" sounds much stronger
than the text that tries to substantiate it, which says that the
machinery works fine without the changes.

> This discrepancy confused Jeff in [1].

And this is a good reason to add this change for humans.

> It's simply a good practice to follow the format asciidoctor documentation:

That one I would agree with 100%.

Thanks.